Package ru.bitel.bgbilling.modules.bill.server.bean

# Class Bill

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.BillDoc
ru.bitel.bgbilling.modules.bill.server.bean.Bill

    public class Bill
    extends BillDoc

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Bill()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getAccountId()` |
  `java.util.Date` | `getPayDate()` |
  `int` | `getPaymentId()` |
  `int` | `getPayUid()` |
  `int` | `getStatus()` |
  `int` | `getUnloadStatus()` |
  `void` | `setAccountId​(int accountId)` |
  `void` | `setPayDate​(java.util.Date payDate)` |
  `void` | `setPaymentId​(int paymentId)` |
  `void` | `setPayUid​(int payUid)` |
  `void` | `setStatus​(int status)` |
  `void` | `setUnloadStatus​(int unloadStatus)` |

  ### Methods inherited from class ru.bitel.bgbilling.modules.bill.server.bean.BillDoc

  `getAddress, getBankAccount, getContractComment, getContractId, getContractTitle, getCorrection, getCreateDate, getDocument, getFormatNumber, getId, getMm, getNpid, getNumber, getNumberInMonth, getNumberInYear, getOrganization, getPositionList, getRecipient, getSumm, getTypeId, getTypeTitle, getUid, getUserId, getUserName, getXml, getXmlData, getYy, setAddress, setBankAccount, setContractComment, setContractId, setContractTitle, setCorrection, setCreateDate, setDocument, setFormatNumber, setId, setMm, setNpid, setNumber, setNumberInMonth, setNumberInYear, setOrganization, setPositionList, setRecipient, setSumm, setTypeId, setTypeTitle, setUid, setUserId, setUserName, setXml, setXmlData, setYy`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Bill

    public Bill()

- ## Method Details

  - ### getAccountId

    public int getAccountId()

  - ### setAccountId

    public void setAccountId​(int accountId)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getUnloadStatus

    public int getUnloadStatus()

  - ### setUnloadStatus

    public void setUnloadStatus​(int unloadStatus)

  - ### getPayDate

    public java.util.Date getPayDate()

  - ### setPayDate

    public void setPayDate​(java.util.Date payDate)

  - ### getPaymentId

    public int getPaymentId()

  - ### setPaymentId

    public void setPaymentId​(int paymentId)

  - ### getPayUid

    public int getPayUid()

  - ### setPayUid

    public void setPayUid​(int payUid)